Ubuntu

Power consumption raised significantly in natty

Reported by James Ferguson on 2011-04-13
This bug affects 465 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Canonical Kernel Team
linux (Ubuntu)
High
Canonical Kernel Team
Natty
High
Tim Gardner
Oneiric
High
Canonical Kernel Team

Bug Description

This is a regression moving from maverick->natty. With the same sort of light interactive usage, Battery life has gone from ~4 hours to 2:45 or so.

Running powertop shows the system in P-state "Turbo mode" 10-15% of the time. Typically this was almost zero in maverick, 98+% of the time maverick was in the lowest state.

wakeups reported in the 5-600/s range where previously (from memory) it was 200 ish. i915 driver is high on the list. This is irrespective of whether running unity or classic desktop.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: james 2068 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa20ff,00100000'
   Controls : 16
   Simple ctrls : 8
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7XHT24WW-1.06'
   Mixer name : 'ThinkPad EC 7XHT24WW-1.06'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Wed Apr 13 15:03:35 2011
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=bb479652-f524-4abe-b1b0-27646d6deebc
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate amd64 (20100928)
MachineType: LENOVO 7465CTO
ProcEnviron:
 LANGUAGE=en_US:en_GB:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=266abe9a-19c2-4cc3-9ef7-238b729b6044 ro quiet splash libata.force=noncq vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.50
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: Upgraded to natty on 2011-04-06 (7 days ago)
dmi.bios.date: 11/10/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 6DET61WW (3.11 )
dmi.board.name: 7465CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6DET61WW(3.11):bd11/10/2009:svnLENOVO:pn7465CTO:pvrThinkPadX200s:rvnLENOVO:rn7465CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7465CTO
dmi.product.version: ThinkPad X200s
dmi.sys.vendor: LENOVO

=== Release Notes ===

Due to a regression inherited from the upstream linux kernel, Natty 11.04 can exhibit a 10-30% increase in power consumption. This is a known issue which is actively being investigated. A SRU will be released onced a viable solution is found. For more information, please see
http://www.phoronix.com/scan.php?page=article&item=linux_mobile_uffda&num=1

James Ferguson (jamesf) wrote :
nanog (sorenimpey) on 2011-04-18
Changed in linux (Ubuntu):
status: New → Confirmed
nanog (sorenimpey) wrote :

I am seeing the same behaviour after my upgrade to natty. Battery life has been cut by 40%. Powertop shows 500-700 wake ups per second while in maverick there were typically 200-400 wake ups per second.

2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 i686 i386 GNU/Linux

00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
02:00.0 System peripheral: JMicron Technology Corp. SD/MMC Host Controller
02:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller
02:00.3 System peripheral: JMicron Technology Corp. MS Host Controller
03:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g LP-PHY (rev 01)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)

amano (jyaku) wrote :

I wonder why Phoronix doesn't simply share the commit that caused that regression.

Nick Read (nickread) wrote :

> Powertop shows 500-700 wake ups per second...

I'm only seeing 100-200 wake ups on Natty, similar to Maverick, but I'm still seeing getting *really* poor battery life. I also attemped disabling the proprietry FGLRX driver to reduce wake ups further (< 100), but this did not appear to give me any futher battery life.

> I wonder why Phoronix doesn't simply share the commit that caused that regression.

AFAICT, they're still bisecting to find it.

@amano: The PTS stack knows what branch pull caused the regression, but not the specific commit within there... Once I am certain of the commit within there that's causing the power issues, it will be shared. It's just not going as fast as I would like since the auto-bisecting is being done on a Core Duo.

Pete Graner (pgraner) wrote :

This is a known problem with the upstream linux kernel. More info can be found here:

http://www.phoronix.com/scan.php?page=article&item=ubuntu_natty_power&num=1

One this is resloved upstream ubuntu will get it thru stable updates or a backport.

Changed in linux (Ubuntu Natty):
importance: Undecided → High
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
milestone: none → natty-updates
Changed in linux (Ubuntu Oneiric):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Pete Graner (pgraner) on 2011-04-25
Changed in ubuntu-release-notes:
status: New → In Progress
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)

I added some release notes text to the bug description. Thanks.

description: updated
Changed in ubuntu-release-notes:
status: In Progress → Fix Released
stecklum (stecklum) wrote :

I am running linux_2.6.38.orig.tar.gz + linux_2.6.38-8.41.diff.gz with reiser4-for-2.6.38, 2.6.38.2-breaks-suspend-to-disk, and v4l-dvb-as102 patches on my XPS M1330 with Ubuntu 8.10 (see lspci config below), and do _not_ encounter those problems. Powertop shows 60...100 wake ups per second as usual when idle.

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8400M GS (rev a1)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
03:01.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)
09:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
0d:00.0 SATA controller: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 03)
0d:00.1 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 03)

Maddy (nmadhava) wrote :

Same issue here after upgrading to Natty.
Seeing 350 - 550 wakeups per second, however the top cause seems
to be the "extra timer interrupt"

Backup reduced from 3 hours to 1hr 55 minutes now.

Wakeups-from-idle per second : 499.2 interval: 3.0s
no ACPI power usage estimate available

Top causes for wakeups:
  48.3% (303.3) [extra timer interrupt]
  18.6% (117.0) chrome
  12.1% ( 76.3) [iwlagn] <interrupt>
   4.9% ( 30.7) [ahci] <interrupt>

--
Maddy

Sascha K. B. (saschakb) wrote :

This regression is not only in Ubuntu. I'm running Archlinux - and for me - the regression takes also part in the Archkernel 2.6.38.x and the Liquorix Kernel 2.6.38.x.
The wakeups per second raise up to 1297/second, mostly via ehci_hcd:usb1... ehci_hcd:usbx, brcm80211 and ahci interrupts, keyboard, mousepad, touchpad interrupt.
The Turbo mode (2,31 GHz on my machine) uses up to 42.9% in idle mode, while except for 1% the rest goes to my 800 MHz powersaving mode. Even when being only in tty - and doing nothing, the cpu shows me that it uses 20% (instead of 1% in 2.6.32).
The battery of my Compaq CQ56 has only 2 hours on Kernel 2.6.38/2.6.39, while it has 3 hours on Kernel 2.6.32.x

With kernel 2.6.32.39 I'm down on 67 wakeups per second.

stecklum (stecklum) wrote :

To quantify my statement (posting #9) these are results of a 5min powertop dump in GDM with firefox+thunderbird idling for 2.6.36-1

Cn Avg residency
C0 (cpu running) ( 2.5%)
polling 0.0ms ( 0.0%)
C1 mwait 0.0ms ( 0.0%)
C2 mwait 0.3ms ( 0.5%)
C4 mwait 13.9ms (97.0%)
P-states (frequencies)
Turbo Mode 1.0%
  2.50 Ghz 0.0%
  1.60 Ghz 0.2%
  1200 Mhz 0.1%
   800 Mhz 98.6%
Wakeups-from-idle per second : 91.4 interval: 300.0s
no ACPI power usage estimate available
Top causes for wakeups:
  16.7% ( 10.8) kworker/0:0
  16.3% ( 10.5) [ata_piix] <interrupt>
  14.3% ( 9.2) [kernel scheduler] Load balancing tick
  12.4% ( 8.0) apt-check
   6.9% ( 4.4) [kernel core] hrtimer_start (tick_sched_timer)
   3.2% ( 2.0) cpufire_applet
   3.1% ( 2.0) [nvidia] <interrupt>
   3.0% ( 1.9) firefox-bin
...

and 2.6.38-8
Cn Avg residency
C0 (cpu running) ( 2.8%)
polling 0.0ms ( 0.0%)
C1 mwait 0.0ms ( 0.0%)
C2 mwait 0.2ms ( 0.3%)
C4 mwait 11.8ms (96.9%)
P-states (frequencies)
Turbo Mode 1.2%
  2.50 Ghz 0.1%
  1.60 Ghz 0.2%
  1200 Mhz 0.2%
   800 Mhz 98.3%
Wakeups-from-idle per second : 97.5 interval: 300.0s
no ACPI power usage estimate available
Top causes for wakeups:
  33.1% ( 25.4) kworker/0:0
  13.9% ( 10.7) [kernel scheduler] Load balancing tick
  13.9% ( 10.6) [extra timer interrupt]
   8.5% ( 6.5) [ata_piix] <interrupt>
   4.4% ( 3.3) [ahci, firewire_ohci] <interrupt>
   2.9% ( 2.2) cpufire_applet
   2.6% ( 2.0) firefox-bin
   2.6% ( 2.0) [nvidia] <interrupt>
   2.1% ( 1.6) gnome-terminal

The wakeup rate for 2.6.38 is higher indeed but not as excessive as seen by others.

Sascha K. B. (saschakb) wrote :

To be more specifig on my posting under #11, this is an output from powertop after 5 minutes idling

<Detaillierte C-Status Informationen sP-States (Frequenzen)
2,31 GHz 31,7%
1,71 GHz 3,7%
   800 MHz 64,6%

Aufwachen pro Sekunde : 617,8 Intervall: 10,0s
Keine ACPI Stromverbrauch-Schätzung verfügbar

Häufigste Ursachen für das Aufwachen:
  28,9% (118,3) USB Gerät 5-1 : i.Beat censo (TrekStor )
  24,9% (101,8) [ohci_hcd:usb4, ohci_hcd:usb5, ohci_hcd:usb6, ohci_hcd:usb7, fglrx[0]@PCI:1:5:0] <interrupt>
  24,0% ( 98,2) gtk-gnash
  11,4% ( 46,5) [ehci_hcd:usb1, ehci_hcd:usb2, ehci_hcd:usb3, brcm80211] <interrupt>
   5,0% ( 20,4) firefox
1,3% ( 5,3) [ahci] <interrupt>
1,2% ( 5,0) mc
0,5% ( 2,1) wget
0,5% ( 2,0) grep
0,4% ( 1,7) USB Gerät 5-2 : Microsoft IntelliMouse® Optical (Microsoft)
0,3% ( 1,2) kworker/0:1
0,3% ( 1,1) [kernel core] sk_reset_timer (tcp_delack_timer)
0,2% ( 1,0) ntpd
0,2% ( 1,0) tor
0,1% ( 0,5) udisks-daemon
0,1% ( 0,5) dropbox
0,1% ( 0,5) conky
0,1% ( 0,4) chromium
0,0% ( 0,2) kswapd0
0,0% ( 0,2) wicd-monitor
0,0% ( 0,2) [kernel core] run_timer_softirq (sync_supers_timer_fn)
0,0% ( 0,2) init
0,0% ( 0,2) wmfs
0,0% ( 0,1) [kernel core] run_timer_softirq (peer_check_expire)
0,0% ( 0,1) awk
0,0% ( 0,1) [kernel core] inet_twdr_hangman (inet_twdr_hangman)
0,0% ( 0,1) gconfd-2
0,0% ( 0,1) crond
0,0% ( 0,1) btrfs-endio-0
0,0% ( 0,1) [kernel core] bfq_completed_request (bfq_idle_slice_timer)
0,0% ( 0,1) khugepaged
0,0% ( 0,1) kworker/0:0
0,0% ( 0,1) wpa_supplicant
0,0% ( 0,1) flush-btrfs-1

Sascha K. B. (saschakb) wrote :

... and that is the maximum ... taken some minutes later.

<Detaillierte C-Status Informationen sP-States (Frequenzen)
2,31 GHz 35,4%
1,71 GHz 0,0%
   800 MHz 64,6%

Aufwachen pro Sekunde : 200000,0 Intervall: 0,0s
Keine ACPI Stromverbrauch-Schätzung verfügbar

Luis Silva (lacsilva) wrote :

Part of this problem may be related to Bug #771963.

Bug #771963 may be an indirect contributor to bad power performance, but in terms of the dramatic power set-backs, I (and others) have encountered it on Intel and NVIDIA hardware as well. My tracking of the issue still seems to be leading back to something going awry in mm.

Ilja Sekler (ilja-sekler-) wrote :

Out of curiosity, I let my Asus Eee PC 1000H triple boot Ubuntu 11.04 - Xubuntu 11.04 - Ubuntu 10.04.2 (camera, wifi and bluetooth disabled, no network connection) idle exactly for an hour on battery with locked screen (no screensaver). Battery energy drain on Ubuntu Natty (classic session): 4,4 Wh (average consumption 4,4 W). Battery energy drain on Ubuntu 10.04.2: 7,7 Wh (7,7 W on average). Big advantage for Natty so far.

pablomme (pablomme) wrote :

I don't think the duplicate status is correct. As far as we know this is a regression between 2.6.37 and 2.6.38, not something present in 2.6.32.

MountainX (dave-mountain) wrote :

I hope this is an appropriate question here:

Can someone explain this comment?

>Leann Ogasawara on 2011-04-25
>Changed in ubuntu-release-notes:
>status: In Progress → Fix Released

The status says fix released, yet it doesn't appear to be fixed. Does that mean the fix is coming or does it mean the fix didn't really fix it?

Thanks for any reply.

Julian Kalinowski (julakali) wrote :

According to phoronix benchmarks (which appears to be down right now), its a regression starting in 2.6.34.
The results or at least a quick summary is posted in the bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/524281/comments/189

Since the other bug report exists for more than a year now, and neither wakeups nor power consumption have been reduced in kernels newer than 2.6.34, i think this bug is a duplicate of #524281

Nikolai Prokoschenko (nikolai) wrote :

@MountainX: it means the part of this bug relevant to the release notes has been fixed, i.e. it's been mentioned there as known problem.

Download full text (4.7 KiB)

@MountainX It means that an entry was made in the release notes for Natty
about this regression.

On 28 April 2011 22:17, MountainX <email address hidden> wrote:

> I hope this is an appropriate question here:
>
> Can someone explain this comment?
>
> >Leann Ogasawara on 2011-04-25
> >Changed in ubuntu-release-notes:
> >status: In Progress → Fix Released
>
> The status says fix released, yet it doesn't appear to be fixed. Does
> that mean the fix is coming or does it mean the fix didn't really fix
> it?
>
> Thanks for any reply.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/760131
>
> Title:
> Power consumption raised significantly in natty
>
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in “linux” package in Ubuntu:
> Confirmed
> Status in “linux” source package in Natty:
> Confirmed
> Status in “linux” source package in Oneiric:
> Confirmed
>
> Bug description:
> This is a regression moving from maverick->natty. With the same sort
> of light interactive usage, Battery life has gone from ~4 hours to
> 2:45 or so.
>
> Running powertop shows the system in P-state "Turbo mode" 10-15% of
> the time. Typically this was almost zero in maverick, 98+% of the
> time maverick was in the lowest state.
>
> wakeups reported in the 5-600/s range where previously (from memory)
> it was 200 ish. i915 driver is high on the list. This is
> irrespective of whether running unity or classic desktop.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: linux-image-2.6.38-8-generic 2.6.38-8.42
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: james 2068 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
> Mixer name : 'Conexant CX20561 (Hermosa)'
> Components : 'HDA:14f15051,17aa20ff,00100000'
> Controls : 16
> Simple ctrls : 8
> Card29.Amixer.info:
> Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30,
> fw 7XHT24WW-1.06'
> Mixer name : 'ThinkPad EC 7XHT24WW-1.06'
> Components : ''
> Controls : 1
> Simple ctrls : 1
> Card29.Amixer.values:
> Simple mixer control 'Console',0
> Capabilities: pswitch pswitch-joined penum
> Playback channels: Mono
> Mono: Playback [on]
> Date: Wed Apr 13 15:03:35 2011
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=bb479652-f524-4abe-b1b0-27646d6deebc
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate
> amd64 (20100928)
> MachineType: LENOVO 7465CTO
> ProcEnviron:
> LANGUAGE=en_US:en_GB:en
> PATH=(custom, user)
> LANG=en_US....

Read more...

pablomme (pablomme) wrote :

@MountainX: that task refers to the release notes (i.e., this bug should be mentioned in the release notes). It is (see https://wiki.ubuntu.com/NattyNarwhal/ReleaseNotes [known issues > kernel section]), so that is done. The bug itself is not fixed.

@Julian: it would seem then that there have been two independent power regressions, very likely caused by different code changes, and they should be kept as separate bugs since they should be solved separately

reini (rrumberger) wrote :

@Julian: From this bug's description, it's a regression from maverick, which comes with 2.6.35. In the comment to bug #524281 you reference, the big discrepancy is between 34 and 35, i.e. it should have been apparent in maverick and not just have appeared in natty.
IMHO this all points to different bugs with similar symptoms.

tippettm (tippettm) wrote :

Phoronix is up again.

http://www.phoronix.com/scan.php?page=article&item=linux_kernel_regress2&num=4 and raw results at http://openbenchmarking.org/result/1104256-GR-RADEONPOW94

As you can see from the graph, there are two regressions for a lot of the workloads. This is shown by the three clusters of consistent results. The first is between 2.6.34 and 2.6.35, and the second is between 2.6.38.

Note that this is looking at the kernel as the variant on an Ubuntu 8.04 base install. It is highly likely that there is a confluence of other factors that may have exacerbated the impact with Natty.

Andrea Grandi (andreagrandi) wrote :

I've upgraded from Ubuntu 10.10 to Ubuntu 11.04 on my Asus EeePC 1005PE netbook and I've tried running powertop.
I've 130-160 wakeups-from-idle per second. Is it a good value? So this bug is not affecting all notebook/netbook?

Matthew Hessel (matt-hessel) wrote :

built latest kernel 2.6.39-rc5 from latest sources and powertop shows normal values for power utilization again.

processors show 99 percent C6 mwait residency, full charge battery estimate is up to 3 hours compared to 50 percent C6 mwait and 1.2 hours off a full charge

Ilja Sekler (ilja-sekler-) wrote :

> I've 130-160 wakeups-from-idle per second. Is it a good value?

Probably not, because with the very same hardware on Maverick (kernel 2.6.35-29-generic) powertop counts only 35 interrupts/sec with wireless disabled and about 85 with wireless enabled. Estimated power consumption is 6,6 vs 6,5 W.

On Natty (amd64) with Nvidia binary blob, running on Asus M4N68T motherboard with AMD Athlon II X2 240e CPU, powertop reports about 185 interrupts per second when idle. Disabling remote control polling in dvb-usb module brings this value down to 35 interrupts/sec.

It means, without a carefully defined and unified hardware and software configuration, bare figures are meaningless.

Jamie Lokier (jamie-shareable) wrote :

Comment #24, reini wrote on 2011-04-28:
> Julian: From this bug's description, it's a regression from maverick, which comes with 2.6.35.
> In the comment to bug #524281 you reference, the big discrepancy is between 34 and 35,
> i.e. it should have been apparent in maverick and not just have appeared in natty.
> IMHO this all points to different bugs with similar symptom

Not necessarily. In another area (touchscreen drivers) I recently found to my great surprise that Ubuntu's 2.6.35-28 kernel does not contain all changes in the 2.6.35 vanilla upstream kernel!

That was a shock, I expected 2.6.35-28 to be based on 2.6.35 with Ubuntu changes or stability backports.

I don't know if that applies to this bug, but don't assume every upstream change between 34 and 35 is necessarily in Maverick's 2.6.35 kernel.

James Ferguson (jamesf) wrote :

The i915 driver appears to be creating approx 95000 interrupts per second -

$ cat /proc/irq/45/spurious
count 99516
unhandled 369
last_unhandled 12764990 ms

$ ls /proc/irq/45/
affinity_hint i915@pci:0000:00:02.0 node smp_affinity spurious

Ed Guenter (edgue) wrote :

Just a side note: a coworker of mine is using a Lenovo X200 ... and he tells me: since he updated to 2.3.38 (on top of 10.10) ... his battery life time increased ...

Matthew Hessel (matt-hessel) wrote :

looks like part of this was noticed back in September.

http://lkml.org/lkml/2010/9/30/100

I took the Natty kernel sources and default config and manually applied the diffs from that thread.

the load balance thread that keeps waking the kernel drops significantly when idle. - went from 300 or so wakeups per second minmum on my Core 2 duo laptop to about 30 at minimum.

I'm no expert, but from reading the thread, it looks like the tickless patches in the last few kernels combined with the SMP code causes excessive ticking in the kernel when there is no work to do, so it can't effectively idle at lower sleep states.

I haven't tested this, but single CPU/single core machines might not be affected by this, as there is no function for the load balancing code when there is only one core.

nanog (sorenimpey) wrote :

Looks like the discussion at lkml has been going on for a long time.

http://lkml.org/lkml/2010/4/26/249

This history of this set of patches correlates well with the timeline of increased power consumption from phoronix testing. IMO, the loss of power consumption does not equal the benefit of increased kernel responsiveness especially for laptops.

>I haven't tested this, but single CPU/single core machines might not be affected by this,
As one would expect this bug is present on hyperthreaded single core atom chips.
For those who want increased battery life on their atom chips...2.6.34 is running terrifically in natty.

Matthew Hessel (matt-hessel) wrote :
Download full text (5.2 KiB)

It might be a cludge, but a workaround might be to disable the
tickless kernel option, multiple core systems and hyperthreading
would still work with a slight increase in overhead- at least until
this has an accepted patch from the kernel folks.

On 5/12/11, nanog <email address hidden> wrote:
> Looks like the discussion at lkml has been going on for a long time.
>
> http://lkml.org/lkml/2010/4/26/249
>
> This history of this set of patches correlates well with the timeline of
> increased power consumption from phoronix testing. IMO, the loss of
> power consumption does not equal the benefit of increased kernel
> responsiveness especially for laptops.
>
>>I haven't tested this, but single CPU/single core machines might not be
>> affected by this,
> As one would expect this bug is present on hyperthreaded single core atom
> chips.
> For those who want increased battery life on their atom chips...2.6.34 is
> running terrifically in natty.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/760131
>
> Title:
> Power consumption raised significantly in natty
>
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in “linux” package in Ubuntu:
> Confirmed
> Status in “linux” source package in Natty:
> Confirmed
> Status in “linux” source package in Oneiric:
> Confirmed
>
> Bug description:
> This is a regression moving from maverick->natty. With the same sort
> of light interactive usage, Battery life has gone from ~4 hours to
> 2:45 or so.
>
> Running powertop shows the system in P-state "Turbo mode" 10-15% of
> the time. Typically this was almost zero in maverick, 98+% of the
> time maverick was in the lowest state.
>
> wakeups reported in the 5-600/s range where previously (from memory)
> it was 200 ish. i915 driver is high on the list. This is
> irrespective of whether running unity or classic desktop.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: linux-image-2.6.38-8-generic 2.6.38-8.42
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
>  **** List of CAPTURE Hardware Devices ****
>  card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
>    Subdevices: 1/1
>    Subdevice #0: subdevice #0
> AudioDevicesInUse:
>  USER PID ACCESS COMMAND
>  /dev/snd/controlC0: james 2068 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
>    Mixer name : 'Conexant CX20561 (Hermosa)'
>    Components : 'HDA:14f15051,17aa20ff,00100000'
>    Controls : 16
>    Simple ctrls : 8
> Card29.Amixer.info:
>  Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30,
> fw 7XHT24WW-1.06'
>    Mixer name : 'ThinkPad EC 7XHT24WW-1.06'
>    Components : ''
>    Controls : 1
>    Simple ctrls : 1
> Card29.Amixer.values:
>  Simple mixer c...

Read more...

Jim Collins (jamtrino) wrote :

Well, when comparing to Win7, I'm seeing a 25% increase in battery drain (and lots of heat) when using kernel 2.6.32 with Lucid. Not sure what to make of this.

With Natty, I'm seeing a 30% increase in battery drain (and lots of heat).

Miroslav (dzundam) wrote :

@nanog

It seems to be not the cause...

See:
http://www.phoronix.com/scan.php?page=news_item&px=OTQ1Ng

Matthew Hessel (matt-hessel) wrote :
Download full text (5.1 KiB)

Yes, I noticed.

I compiled up a lucid kernel - 2.6.34, runs fine on natty. Strange
thing I see is that the ACPI reported power usage is the same on my
laptop, about 19 - 21 watts, yet I get 3.5 hours on that kernel
instead of the 2.1 hours on the natty kernel or the 2.6.39 source from
the linus tree. I'm using the same nvidia blob on both.

If I switch to nouveau it increases the power usage noticeably, adds
about 4 watts in both cases while running gnome or unity and the xorg
edger's mesa and xorg binaries.

I don't understand how the ACPI power usage can be the same and still
have such a large variance for run time on the battery...

On 5/20/11, Miroslav <email address hidden> wrote:
> @nanog
>
> It seems to be not the cause...
>
> See:
> http://www.phoronix.com/scan.php?page=news_item&px=OTQ1Ng
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/760131
>
> Title:
> Power consumption raised significantly in natty
>
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in “linux” package in Ubuntu:
> Confirmed
> Status in “linux” source package in Natty:
> Confirmed
> Status in “linux” source package in Oneiric:
> Confirmed
>
> Bug description:
> This is a regression moving from maverick->natty. With the same sort
> of light interactive usage, Battery life has gone from ~4 hours to
> 2:45 or so.
>
> Running powertop shows the system in P-state "Turbo mode" 10-15% of
> the time. Typically this was almost zero in maverick, 98+% of the
> time maverick was in the lowest state.
>
> wakeups reported in the 5-600/s range where previously (from memory)
> it was 200 ish. i915 driver is high on the list. This is
> irrespective of whether running unity or classic desktop.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: linux-image-2.6.38-8-generic 2.6.38-8.42
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
>  **** List of CAPTURE Hardware Devices ****
>  card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
>    Subdevices: 1/1
>    Subdevice #0: subdevice #0
> AudioDevicesInUse:
>  USER PID ACCESS COMMAND
>  /dev/snd/controlC0: james 2068 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
>    Mixer name : 'Conexant CX20561 (Hermosa)'
>    Components : 'HDA:14f15051,17aa20ff,00100000'
>    Controls : 16
>    Simple ctrls : 8
> Card29.Amixer.info:
>  Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30,
> fw 7XHT24WW-1.06'
>    Mixer name : 'ThinkPad EC 7XHT24WW-1.06'
>    Components : ''
>    Controls : 1
>    Simple ctrls : 1
> Card29.Amixer.values:
>  Simple mixer control 'Console',0
>    Capabilities: pswitch pswitch-joined penum
>    Playback channels: Mono
>    Mono: Playback [on]
> Date: We...

Read more...

cpatrick08 (cpatrick08) wrote :

do you know how much longer till the fix is in natty-updates

Philip Muškovac (yofel) wrote :

@cpatrick08: I believe there is no fix for this issue yet. Not even the mainline kernel is fixed yet since the issue seems to be pretty hard to track down.

z06gal (z06gal) wrote :

Any news on this issue? Alot of folks are experiencing real heat issues. Hope there is a fix soon

Changed in linux (Ubuntu Natty):
status: Confirmed → Triaged
Changed in linux (Ubuntu Oneiric):
status: Confirmed → Triaged
Andy Whitcroft (apw) on 2011-06-06
Changed in linux (Ubuntu Natty):
status: Triaged → Incomplete
tags: added: kernel-key
Changed in linux (Ubuntu Oneiric):
milestone: none → ubuntu-11.10-beta-1
Martin Pitt (pitti) on 2011-08-31
Changed in linux (Ubuntu):
milestone: ubuntu-11.10-beta-1 → ubuntu-11.10-beta-2
Brad Figg (brad-figg) on 2011-09-02
tags: added: rls-mgr-o-tracking
Vistaus (djmusic121) on 2011-09-15
Changed in linux (Ubuntu Natty):
status: Incomplete → Confirmed
Tim Gardner (timg-tpi) on 2011-09-20
Changed in linux (Ubuntu Natty):
assignee: Canonical Kernel Team (canonical-kernel-team) → Tim Gardner (timg-tpi)
status: Confirmed → In Progress
Tim Gardner (timg-tpi) on 2011-09-21
Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
Dave Walker (davewalker) on 2011-09-23
Changed in linux (Ubuntu):
milestone: ubuntu-11.10-beta-2 → ubuntu-11.10
Changed in linux (Ubuntu Oneiric):
status: Triaged → Confirmed
Philip Muškovac (yofel) on 2011-09-24
Changed in linux (Ubuntu Oneiric):
status: Confirmed → Triaged
Changed in linux (Ubuntu Oneiric):
status: Triaged → Fix Released
tags: added: verification-needed-natty
Tim Gardner (timg-tpi) on 2011-10-11
tags: removed: verification-needed-natty
Tim Gardner (timg-tpi) on 2011-10-11
tags: added: verification-done-natty
164 comments hidden view all 244 comments
Kevin (kevinshlee) wrote :

Based on the several comments above, this issue seems to be hardware-specific. For now, I've given up using Ubuntu but want to use it again as soon as possible so I'd like to create a bug ticket for my laptop. Could anyone please tell me what information I should include (preferably how I could as well)? Thank you.

Seth Forshee (sforshee) wrote :

On Mon, Oct 17, 2011 at 02:40:09PM -0000, Kevin wrote:
> Based on the several comments above, this issue seems to be hardware-
> specific. For now, I've given up using Ubuntu but want to use it again
> as soon as possible so I'd like to create a bug ticket for my laptop.
> Could anyone please tell me what information I should include
> (preferably how I could as well)? Thank you.

Kevin: The best way to create your bug is to open a terminal and run
'ubuntu-bug linux'. This will automatically attach the relevant
information form your machine to the bug when it is created. Thanks!

Julian Kalinowski (julakali) wrote :

Aside from the fact that this is unrelated to a power "regression":
Is the ubuntu/linux power consumption "bug" really device-specific?

On my Thinkpad X60s, ubuntu uses at least 4 Watts more as Windows does: roughly 12W instead of 8W (thats 50%) .
I haven't seen a single device since my good old T40, which actually consumes LESS OR EQUAL power when running linux.
Note the fact that Thinkpads are probably the best supported notebooks..

Now Intel claims to care about this (you all know powertop from http://www.lesswatts.org), but nothing seems to change.
I think, as some people already mentioned, as the ubuntu-community seems to care about mobile devices (it seems they do), they should care more about power consumption. Closing a bug without a solution doesn't do it for me.

Sorry for polluting this bug even more.

And btw, if anybody knows a (sub-)notebook (preferably featuring a trackpoint) with minimal power consumption on linux , please tell me.

florin (florin-arjocu) wrote :

Maybe this issue would need special attention from Apport application, an "if" in it's code, to be able to add multiple sets of attachments on the same bug (attachments from different people; as it is now, if the bug is there already you cannot automatically attach your logs). I think it will also be easier for developers to have it all in one place than having hundreds of separate bugs. This way we can also see the development of it and you bet I am interested in seeing if there are some changes, even for another hw configuration.

In the end, a bitter but true "joke": Nowadays most of the computers are mobile, so why should linux team care about "mobility"? Let's just wait until Google will invest to fix it for Android (or maybe it's a scheme to force paying private support). :)

madbiologist (me-again) wrote :

@Julian - There are actually 3 power regressions discussed in this bug. The biggest one seems to have occurred between the 2.6.37 kernel and Natty's 2.6.38 kernel, when Active-State Power Management (ASPM) was disabled. This was done as some BIOS's have broken support for ASPM and linux will hang on those machines when trying to use ASPM. It was therefore decided to play it safe and disable ASPM in linux for all hardware. This power regression is not very hardware specific at all - it affects any machine with a PCI Express motherboard.

You can force ASPM by adding pcie_aspm=force to your GRUB boot command line. This should work for many systems, but if your system's BIOS/hardware is in bad shape, you may get system hangs.

The fix in comment #164 (on the basis of which this bug was marked as fixed, in combination with comment #168) corrects a much smaller power regression in EPB (energy/performance bias), specfically the value of MSR_IA32_ENERGY_PERF_BIAS. This in fact may not even be a regression, but simply a new addition of support for an energy-saving feature. It is very hardware specific - MSR_IA32_ENERGY_PERF_BIAS was only introduced in the recent Intel "Westmere" Xeon CPUs and the even more recent Intel "Sandy Bridge" CPUs.

Older Intel hardware and non-Intel hardware does not use this MSR. You can also check whether your system supports this feature by looking for the "epb" flag in /proc/cpuinfo. Within the dmesg output should also be ENERGY_PERF_BIAS messages, if being used.

It is worth noting that the original reporter of this bug has an older CPU that does not support the energy performance bias MSR.

madbiologist (me-again) wrote :

@ Tim Gardner and Leann Ogasawara - further to comment #209, particularly the last sentence, I have reviewed this bug. The author of comment #168 has not tested the patch from comment #164 which you refer to in comment #201. They performed a "package-upgrade" to linux-image 2.6.38-11 (which version we are not sure) before the patch was even in natty-proposed. Comment #195 is vague, and comment #196 is about hardware which does not support the energy performance bias MSR.

Therefore, given the large number of subsequent comments stating that the patch has not reduced power consumption, and given the original reporter (I am led to believe they are a Canonical employee)'s hardware, can we really mark this bug as Fix Released, or even as Fix Committed?

However, marking as verification done for the SRU for the energy performance bias MSR seems appropriate - I agree with comment #200.

Pako (elektrobank01) wrote :

@ madbiologist

So now we have to upgrade our computers with the latest intel hardware?

madbiologist (me-again) wrote :

@ Kevin and anyone else with an Intel "Sandy Bridge" CPU who is experiencing even higher power consumption in Oneiric than in Natty - that is yet another power regression and should be reported in a new bug - see http://www.phoronix.com/scan.php?page=article&item=linux_31_power_regress&num=1

Pako (elektrobank01) wrote :

@ madbiologist:
Why Lubuntu last 4 and Ubuntu 1:45h. on my laptop? Same computer, same kernel.

madbiologist (me-again) wrote :

@ Pako - I wasn't suggesting that anyone should upgrade their computer to the latest Intel hardware. Sorry if it appeared that way. I was trying to explain that the so called "fix" for this bug is in fact limited to the latest Intel hardware. I think it is unfortunate and inappropriate that this bug has been marked as fixed when so many people (including the original reporter) do not and cannot benefit from the so called "fix".

Pako (elektrobank01) wrote :

madbiologist, Please answer my second question.

madbiologist (me-again) wrote :

@ Pako re comment #213 - I think you answered that question yourself in comment #197.

What is the output of lspci -vvnn on that computer? And what is the output of "glxinfo |grep render" (without the quotation marks) from Lubuntu and from Ubuntu? Please attach the information to this bug report (try to avoid pasting it into a comment if at all possible). Note that to run glxinfo you will need to first install the mesa-utils package.

Pako (elektrobank01) wrote :

Why would you need glxinfo? We talk about kernel power regression.

One more data point. On my Lenovo ThinkPad T410 (so, same as in comment #168) I was able to recover most of the Maverick-like battery life by updating to the newest BIOS. Before the upgrade powertop showed ~25W of battery drain w/o tuning, with pcie_aspm=force and all powertop suggestions done it went down to ~20W, and after the BIOS upgrade it is 16-17W, which is only slightly worse than with Maverick.

It can be further improved, now powertop shows the soundcard x2 taking 1.7W and used 100% (when no sound is played), that I will report separately.

madbiologist (me-again) wrote :

I was trying to answer your question. But you are correct, this bug is about kernel power regressions. Therefore your question in comment #213 is outside the scope of this bug. Please note that demanding an answer to a question, or a response to a comment, as you did in comment #215, is poor form. We are/were all trying to help each other here. Making such demands might also be against the Ubuntu code of conduct.

I have no idea why Ubuntu uses more power than Lubuntu on your laptop and I don't care any more.

madbiologist (me-again) wrote :

@ Laurynas - that is excellent news! I'm guessing that pcie_aspm=force now has no effect on power consumption?

@madbiologist. It still does. The system runs at 19-20W without it instead of 16-17W. Whatever the BIOS update fixed, it was not ASPM I think:

laurynas@laurynas-ThinkPad-T410:~$ dmesg | grep ASPM
[ 0.498093] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[ 0.788492] ACPI _OSC control for PCIe not granted, disabling ASPM
[ 0.792706] ACPI _OSC control for PCIe not granted, disabling ASPM

Nashvin (nashving) wrote :

Hello everyone

I just want to find out if it is easy to observe this problem when using Live CD distributions. I want to try and test a few different versions of distributions (using Live CDs, so I don't mess up my current setup). Is there a difference in power consumption between a Live CD and an installed distro?

reini (rrumberger) wrote :

Well, for one Live CDs tend to run drom CD, which tends to use a bucketload of energy over time...
I'm not sure if you can compare Live CDs to other ones, but you definitely can't compare them to a system installed on a hard drive.

madbiologist (me-again) wrote :

@ Kevin and anyone else with an Intel "Sandy Bridge" CPU who is experiencing even higher power consumption in Oneiric than in Natty - further to comment #212, that issue is being tracked in bug #818830

Hello,

I have a thinkpad x200 (sandy bridge), and I don't think my experience is very typical, but: I saw some of the same power regressions people are talking about, but I stuck with the latter kernels (I'm using 3.0.4 from the mainline site) because the older, energy-saving kernels had some trouble with the sandy bridge chip.

In any case, I was using Natty+Gnome Classic, but a few days I decided to take the plunge and update to Oneiric+Unity, and low and behold, I'm seeing *much better* power performance *with the same kernel I was using before*. With Natty, I could barely get power consumption down to maybe 13 W (no bluetooth or network, etc). As I write this, with bluetooth off but wifi on, the laptop is drawing ~9W, and I still have >6h to go with 65% battery. Suffering occasional unity freezes, so not everything is sunny, but...

One difference is that I set all the tunables using PowerTop, and the version that comes with Oneiric has more tunables than the previous one. Now, if I can only make them persistent over shutdowns and suspend/resume cycles...

In any case, this is just to say that in my case, not everything is about the kernel...

tekstr1der (tekstr1der) wrote :

@Carlos: Do you mean to say you've got a ThinkPad X220 (sandy bridge)? Or, as you stated, do you have an X200 (core 2 duo)?

This bug was originally reported regarding an X200s with core 2 duo, but was highjacked and subsequently "fixed" only for current Sandy Bridge processors. See comment #209 for a coherent explanation of the confusion in this bug report.

@Tekstr1der: Yes, I meant a X220. But my point was that I saw a significant change in changing Ubuntu versions *without* changing the kernel. But maybe it's an edge case.

Cheers.

Pako (elektrobank01) wrote :

That's why Ubuntu should leave Xorg, urgently! Sooner, better. All of the power, performance, hangs, freeze..... will be fixed instantly when Wayland comes up.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-12.51

---------------
linux (2.6.38-12.51) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #860832

  [ Alex Bligh ]

  * SAUCE: net/netfilter/nf_conntrack_netlink.c: fix Oops on container
    destroy
    - LP: #843892

  [ Jesse Sung ]

  * SAUCE: Unregister input device only if it is registered
    - LP: #839238

  [ Leann Ogasawara ]

  * SAUCE: x86: reboot: Make Dell Latitude E6220 use reboot=pci
    - LP: #838402
  * SAUCE: x86: reboot: Make Dell Latitude E6520 use reboot=pci
    - LP: #833705

  [ Ming Lei ]

  * SAUCE: fireware: add NO_MSI quirks for o2micro controller
    - LP: #801719

  [ Stefan Bader ]

  * [Config] Include all filesystem modules for virtual
    - LP: #761809

  [ Tim Gardner ]

  * [Config] kernel preparation cannot be parallelized
  * [Config] Linearize module/abi checks
  * [Config] Linearize and simplify tree preparation rules
  * [Config] Build kernel image in parallel with modules
  * [Config] Set concurrency for kmake invocations
  * [Config] Improve install-arch-headers speed
  * [Config] Fix binary-perarch dependencies
  * [Config] Removed stamp-flavours target
  * [Config] Serialize binary indep targets
  * [Config] Use build stamp directly
  * [Config] Restore prepare-% target
  * [Config] Fix binary-% build target

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: disable PCH ports if needed when disabling a CRTC"
    - LP: #814325, #838181
  * drm/i915: restore only the mode of this driver on lastclose (v2)
    - LP: #848687
  * cifs: fix possible memory corruption in CIFSFindNext, CVE-2011-3191
    - LP: #834135
    - CVE-2011-3191
  * befs: Validate length of long symbolic links, CVE-2011-2928
    - LP: #834124
    - CVE-2011-2928
  * gro: Only reset frag0 when skb can be pulled, CVE-2011-2723
    - LP: #844371
    - CVE-2011-2723
  * inet_diag: fix inet_diag_bc_audit(), CVE-2011-2213
    - LP: #838421
    - CVE-2011-2213
  * si4713-i2c: avoid potential buffer overflow on si4713, CVE-2011-2700
    - LP: #844370
    - CVE-2011-2700
  * Bluetooth: Prevent buffer overflow in l2cap config request,
    CVE-2011-2497
    - LP: #838423
    - CVE-2011-2497
  * crypto: Move md5_transform to lib/md5.c, CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * net: Compute protocol sequence numbers and fragment IDs using MD5,
    CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * x86, intel, power: Initialize MSR_IA32_ENERGY_PERF_BIAS
    - LP: #760131
  * x86, intel, power: Correct the MSR_IA32_ENERGY_PERF_BIAS message
    - LP: #760131
  * rt2x00: Serialize TX operations on a queue.
    - LP: #855239
  * ext4: Fix max file size and logical block counting of extent format
    file, CVE-2011-2695
    - LP: #819574
    - CVE-2011-2695
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 27 Sep 2011 16:19:57 -0300

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
FrankSL (info-streamlake) wrote :

I have a HP 6710b laptop and still have this problem in Natty with latest updates. My system i a dual boot with windows xp, so I can easily compare battery life and with natty is way shorter than with windows.
Please tell me if I can provide any info.

piccobello (piccobello) wrote :

@Launchpad Janitor (janitor) wrote on 2011-10-25: #229

thanks a lot, however I did test the new kernel from natty-proposed, it does not solve the problem for me.
It does marginally improve over 2.6.38-11.50, but it is still a major regression compared
to 2.6.35-28.50. For me the problem is not only reduced battery life, but also increased
cpu temperature (easily above 70C) which makes it difficult to work, and of course is
not good for the cpu. I'm now running some extensive tests with powertop, discharging
the battery completely, which will take some time, I'll post the results here asap.

madbiologist (me-again) wrote :

@FrankSL - what CPU is in the HP 6710b?

@piccobello What CPU is in your PC?

Pako (elektrobank01) wrote :

Current way of rendering the GUI is dependent on CPU power, so battery on stronger processors runs longer, why, because the stronger CPU needs less time to render the GUI, it's just like in vehicles, as vehicle has more horsepower it consumes less fuel, because it takes less time to achieve the speed, and because GPU is 10 times stronger than CPU, battery on Windows lasts more. In Linux we hardly have Open GL 1.5. support. So, I think even in this stage Wayland should be the default server on Ubuntu because of this.

Kevin (kevinshlee) wrote :

Thank you Seth Forshee and madbiologist. As you suggested I created a new bug ticket. bug #883403

piccobello (piccobello) wrote :

After some more extensive testing I cannot confirm the regression anymore on my Panasonic CF-T5:
forcing pcie_aspm and manually setting powersave:

echo powersave > /sys/module/pcie_aspm/parameters/policy

solves the problem for me as well.
From /proc/cpuinfo:
vendor_id : GenuineIntel
cpu family : 6
model : 14
model name : Genuine Intel(R) CPU U1400 @ 1.20GHz

I made a script for pm-powersave, attached as pcie_aspm, and put it in /etc/pm/power.d

I made a table to summarize the results of the tests, reporting powertop results on 4 hours
Wakeups/s (lower=better), C3% (perc. of time in higest C state, higher=better), PLow% (perc. of time
at lowest CPU freq, higher=better), battery duration (hh:mm, based on battery-stats log), avg temperatures
of the two available sensors (estimate based on collectd graphs). All tests were run with screen brightness
10/21, dpms on (switching off the screen after 10min), wifi off (in normal conditions the battery lasts less then
half the times obtained in the tests, but it's still pretty good).

Kernel | Wakeups/s | C3% | PLow% | Power | Battery | Temp0 C | Temp1 C |
2.6.35-28.50 +aspm 50.7 93.6 77.0 5.8W 15:15 38 39
2.6.38-11.50 +aspm 53.7 94.4 81.8 4.0W 16:23 37 38
2.6.38-12.51 +aspm a 47.2 94.1 84.6 8.7W 8:57 38 42
2.6.38-12.51 +aspm b 46.1 93.2 70.2 4.8W 14:52 38 39

The thing I realized running the tests is that acpi estimate of battery state (and power) is not so reliable,
therefore I had very different results with when starting the tests as soon as the charge was 100%, and
when it was left powered for a few hours while at 100%. That was the only difference among the two runs
with 2.6.38-12.51, marked a and b in the table. As you can see, repeating the test after some time with the
ac adapter plugged in gave me results which are comparable to maverick.

Thanks a lot to all contributors to this very long bug report!

Jaxon (bjackson0971) wrote :

There's a tweet today from @michaellarabel about a kernel patch to fix ASPM. It looks like this one:

[PATCH] pci: Rework ASPM disable code
https://lkml.org/lkml/2011/11/10/467

It applies to 3.1 source with an offset warning but no errors. I applies cleanly to 3.2-rc1. I haven't tested bootup yet with the patch applied.

Yes it's that patch that's fixed the "out of the box" ASPM support on all of the hardware I've hit this afternoon - http://www.phoronix.com/scan.php?page=article&item=linux_aspm_solution&num=1

Jaxon (bjackson0971) wrote :

There were some more patches posted that disable ASPM on specific hardware, like Microsoft does.

https://lkml.org/lkml/2011/11/11/178

carlosv (carlosved) wrote :

Matthew Garrett proposed a patch for the ASPM Linux problem:

https://lkml.org/lkml/2011/11/10/467

Oussama Bounaim (obounaim) wrote :

Stilling facing this bug with sony vaio ubuntu 10.04.3 2.6.32-38-generic
when i m using ubuntu the battery drop down in half time than windows

madbiologist (me-again) wrote :

Oussama - This bug is about a power consumption regression between Maverick and Natty. If you are using Lucid (10.04.x) then you have a different bug.

The patch/es described in comments 236-239 will be available in the upstream kernel 3.3. Canonical has back-ported this patch into the forthcoming Ubuntu 12.04 "Precise Pangolin"'s 3.2-based kernel. Ubuntu 12.04 alpha 2 was just released today.

madbiologist (me-again) wrote :

The patch I mentioned in comment #241 is now also available in the upstream 3.2.5 kernel, and more importantly for Oneiric, in the upstream 3.0.20 kernel. PPA's of these kernels are available at http://kernel.ubuntu.com/~kernel-ppa/mainline/

madbiologist (me-again) wrote :

The 3.2.0-15.24 kernel in Ubuntu 12.04 "Precise Pangolin" repository has been rebased to upstream 3.2.5.

Lorenzo Bettini (bettini) wrote :

my laptop does not seem to support ASPM:

dmesg | grep ASP
[ 0.963968] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[ 1.328171] ACPI _OSC control for PCIe not granted, disabling ASPM

but it looks like it supports epb:

dmesg | grep ENE
[ 0.000241] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'

so what could I do to reduce power consumption? with Linux battery lasts less than 2 hours, in windows lasts almost 5 hours!

Displaying first 40 and last 40 comments. View all 244 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers